- Main Page
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# moeoDisctinctElitistReplacement< EOT, WorthT > Class Template Reference

Same than moeoElitistReplacement except that distinct individuals are privilegied. More...

`#include <moeoReplacement.h>`

Inheritance diagram for moeoDisctinctElitistReplacement< EOT, WorthT >:

List of all members.

## Public Member Functions
| moeoDisctinctElitistReplacement (eoPerf2Worth< EOT, WorthT > &_perf2worth)
| constructor
void | operator() (eoPop< EOT > &_parents, eoPop< EOT > &_offspring)
| replacement - result in _parents
## Private Member Functions
void | createNewPop (eoPop< EOT > &_pop, unsigned _size)
| creation of the new population of size _size
## Private Attributes
eoPerf2Worth< EOT, WorthT > & | perf2worth
| the functor object to transform raw fitnesses into fitness for selection

## Detailed Description

### template<class EOT, class WorthT = double>
class moeoDisctinctElitistReplacement< EOT, WorthT >

Same than moeoElitistReplacement except that distinct individuals are privilegied.

Definition at line 78 of file moeoReplacement.h.

## Constructor & Destructor Documentation

template<class EOT, class WorthT = double>

moeoDisctinctElitistReplacement< EOT, WorthT >::moeoDisctinctElitistReplacement | ( | eoPerf2Worth< EOT, WorthT > & | _perf2worth | ) | `[inline]`

constructor

Parameters:

  | _perf2worth | the functor class to transform raw fitnesses into fitness for selection

Definition at line 87 of file moeoReplacement.h.

## Member Function Documentation

template<class EOT, class WorthT = double>

void moeoDisctinctElitistReplacement< EOT, WorthT >::operator() | ( | eoPop< EOT > & | _parents,
|  | eoPop< EOT > & | _offspring |
| ) |  |  | `[inline]`

replacement - result in _parents

Parameters:

  | _parents | parents population
  | _offspring | offspring population

Definition at line 99 of file moeoReplacement.h.

References moeoDisctinctElitistReplacement< EOT, WorthT >::createNewPop().

template<class EOT, class WorthT = double>

void moeoDisctinctElitistReplacement< EOT, WorthT >::createNewPop | ( | eoPop< EOT > & | _pop,
|  | unsigned | _size |
| ) |  |  | `[inline, private]`

creation of the new population of size _size

Parameters:

  | _pop | the initial population (will be modified)
  | _size | the size of the population to create

Definition at line 123 of file moeoReplacement.h.

References moeoDisctinctElitistReplacement< EOT, WorthT >::perf2worth.

Referenced by moeoDisctinctElitistReplacement< EOT, WorthT >::operator()().

The documentation for this class was generated from the following file:

- moeoReplacement.h